#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: libkdcraw
Summary: C++ interface around LibRaw library
Version: 4.12.5
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkdcraw
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(lcms)
BuildRequires: libraw-devel >= 0.15

# Branch Patch (100-200)

# Security Patch (500-600)

%description
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS NEWS TODO 

#------------------------------------------------------------------------------

%package common
Summary: Non-library files for the kdcraw library
Group: Graphical desktop/KDE
BuildArch: noarch
%description common
Common files for the kdcraw library

%files common
%_kde_appsdir/libkdcraw
%_kde_iconsdir/hicolor/*/apps/kdcraw.png

#------------------------------------------------------------------------------

%define kdcraw_major 23
%define libkdcraw %mklibname kdcraw %kdcraw_major

%package -n %{libkdcraw}
Summary: Kdcraw library
Group: System/Libraries
Provides: kdcraw = %epoch:%version-%release
Requires: %{name}-common

%description -n %{libkdcraw}
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files -n %{libkdcraw}
%_kde_libdir/libkdcraw.so.%{kdcraw_major}*

#------------------------------------------------------------------------------
%define libkdcraw_devel %mklibname kdcraw -d

%package -n %{libkdcraw_devel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkdcraw = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90
Conflicts: libkdcraw-devel < 2:4.9.2-3
Obsoletes: libkdcraw-devel < 2:4.9.2-3

%description -n %{libkdcraw_devel}
Libkdcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkdcraw_devel}
%_kde_includedir/libkdcraw/
%_kde_libdir/libkdcraw.so
%_kde_libdir/pkgconfig/libkdcraw.pc

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 2:4.12.5-1.mga4
+ Revision: 641366
- Update to KDE SC 4.12.5
  add BuildRequires libraw-devel to use system libraw
  remove patch502 fixed upstream

  + neoclust <neoclust>
    - New version 4.11.5

* Sun Dec 22 2013 lmenut <lmenut> 2:4.11.4-2.mga4
+ Revision: 559662
- add security patch for CVE-2013-1438 and CVE-2013-1439
  adapted from upstream cumulated data checks patch (mga#11149)

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555056
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551328
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539799
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490665
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476710
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465103
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458974
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455360
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447848
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435012
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428318
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407137
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401934
- Update tarball to KDE SC 4.10.1

* Fri Feb 08 2013 fwang <fwang> 2:4.10.0-2.mga3
+ Revision: 395358
- requires common package for icons and icm files

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394322
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 357577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339290
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334472
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Tue Dec 04 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326614
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320160
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix major version
- Remove -DKDE4_ENABLE_FINAL=ON (not supported)

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316113
- Update tarball to KDE SC 4.9.3

* Mon Oct 15 2012 mikala <mikala> 2:4.9.2-3.mga3
+ Revision: 305734
- Correctly fix the -devel package name

* Mon Oct 15 2012 mikala <mikala> 2:4.9.2-2.mga3
+ Revision: 305699
- Remove useless provides : there's a pkconfig() for the -devel package
- Update tarball to KDE SC 4.9.2

  + dlucio <dlucio>
    - Just add a provides

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289642
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276622
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269711
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-1.mga3
+ Revision: 265289
- update libmajor
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257183
- new version 4.8.4

* Fri Apr 06 2012 tmb <tmb> 2:4.8.2-1.mga2
+ Revision: 228948
- update to 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221506
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198104
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190865
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185808
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182168
- Update tarball to KDE SC 4.7.90
- Remove redundant requires in -devel package
- use gold linker
- build with  -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176512
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161394
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151978
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140669
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Build common package as noarch
- Update tarball to KDE SC 4.7.0

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122304
- Update tarball to KDE SC 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115737
- imported package libkdcraw

  + fwang <fwang>
    - add conflits on older package for upgrading

